0

Hello!

After upgrading Magento 2.1.8 to Magento 2.3.2, I get an error when run command:

> php setup:static-content:deploy

or

> php setup:static-content:deploy en_US -f

Text of my Error:

Deploy using quick strategy frontend/Magento/blank/en_US
4225/4225 ============================ 100% % 1 min
adminhtml/Magento/backend/en_US 4832/4832
============================ 100% % 37 secs frontend/Magento/luma/en_US 4241/4241
============================ 100% % 1 min frontend/[PACKAGE]/[THEME]/en_US 4142/4647
========================>--- 89% % 1 min Compilation from source: /var/www/project/vendor/magento/theme-frontend-blank/web/css/styles-m.less variable @sidebar__background-color is undefined in file /var/www/project/var/view_preprocessed/pub/static/frontend/[PACKAGE]/[THEME]/en_US/Magento_Customer/css/source/_module.less in _module.less on line 6, column 26 4| // */ 5| // frontend/Magento/blank/en_US 4225/4225
============================ 100% % 1 min adminhtml/Magento/backend/en_US 4832/4832
============================ 100% % 37 secs frontend/Magento/luma/en_US 4241/4241
============================ 100% % 1 min frontend/[PACKAGE]/[THEME]/en_US 4143/4647
========================>--- 89% % 1 min Compilation from source: /var/www/project/vendor/magento/theme-frontend-blank/web/css/styles-l.less variable @sidebar__background-color is undefined in file /var/www/project/var/view_preprocessed/pub/static/frontend/[PACKAGE]/[THEME]/en_US/Magento_Customer/css/source/_module.less in _module.less on line 6, column 26 4| // */ 5| // frontend/Magento/blank/en_US 4225/4225
============================ 100% % 1 min adminhtml/Magento/backend/en_US 4832/4832
============================ 100% % 37 secs frontend/Magento/luma/en_US 4241/4241
============================ 100% % 1 min frontend/[PACKAGE]/[THEME]/en_US 4629/4647
===========================> 99% % 2 mins

In File.php line 151: The contents from the "/var/www/project/pub/static/frontend/[PACKAGE]/[THEME]/en_US/css/styles-m.css" file can't be read. Warning!file_get_contents(/var/www/project/pub/static/frontend/[PACKAGE]/[THEME]/en_US/css/styles-m.css): failed to open stream: No such file or directory

How to fix it, guys? Please, help me

Thanks)

0

Try to remove theme folders from pub/static by following command

rm -rf pub/static/frontend

Hope it works

EDIT

Check if .htaccess file is present in pub folder, if not make it and add the below code in it

############################################
## Optional override of deployment mode. We recommend you use the
## command bin/magento deploy:mode:set to switch modes instead

# Options are default, production, or developer
#   SetEnv MAGE_MODE default

############################################
## Uncomment these lines for CGI mode.
## Make sure to specify the correct cgi php binary file name
## it might be /cgi-bin/php-cgi

#    Action php5-cgi /cgi-bin/php5-cgi
#    AddHandler php5-cgi .php

############################################
## GoDaddy specific options

#   Options -MultiViews

## You might also need to add this line to php.ini
##     cgi.fix_pathinfo = 1
## If it still doesn't work, rename php.ini to php5.ini

############################################
## This line is specific for 1and1 hosting

    #AddType x-mapp-php5 .php
    #AddHandler x-mapp-php5 .php

############################################
## Default index file

    DirectoryIndex index.php

<IfModule mod_php5.c>
############################################
## Adjust memory limit

    php_value memory_limit 756M
    php_value max_execution_time 18000

############################################
## Disable automatic session start
## before autoload was initialized

    php_flag session.auto_start off

############################################
# Disable user agent verification to not break multiple image upload

    php_flag suhosin.session.cryptua off
</IfModule>
<IfModule mod_php7.c>
############################################
## Adjust memory limit

    php_value memory_limit 756M
    php_value max_execution_time 18000

############################################
## Disable automatic session start
## before autoload was initialized

    php_flag session.auto_start off

############################################
## Enable resulting html compression

    #php_flag zlib.output_compression on

###########################################
# Disable user agent verification to not break multiple image upload

    php_flag suhosin.session.cryptua off
</IfModule>


<IfModule mod_security.c>
###########################################
# Disable POST processing to not break multiple image upload

    SecFilterEngine Off
    SecFilterScanPOST Off
</IfModule>

<IfModule mod_deflate.c>

############################################
## Enable apache served files compression
## http://developer.yahoo.com/performance/rules.html#gzip

    # Insert filter on all content
    ###SetOutputFilter DEFLATE
    # Insert filter on selected content types only
    #AddOutputFilterByType DEFLATE text/html text/plain text/xml text/css text/javascript

    # Netscape 4.x has some problems...
    #BrowserMatch ^Mozilla/4 gzip-only-text/html

    # Netscape 4.06-4.08 have some more problems
    #BrowserMatch ^Mozilla/4\.0[678] no-gzip

    # MSIE masquerades as Netscape, but it is fine
    #BrowserMatch \bMSIE !no-gzip !gzip-only-text/html

    # Don't compress images
    #SetEnvIfNoCase Request_URI \.(?:gif|jpe?g|png)$ no-gzip dont-vary

    # Make sure proxies don't deliver the wrong content
    #Header append Vary User-Agent env=!dont-vary

</IfModule>

<IfModule mod_ssl.c>

############################################
## Make HTTPS env vars available for CGI mode

    SSLOptions StdEnvVars

</IfModule>

<IfModule mod_rewrite.c>

############################################
## Enable rewrites

    Options +FollowSymLinks
    RewriteEngine on

############################################
## You can put here your magento root folder
## path relative to web root

    #RewriteBase /magento/

############################################
## Workaround for HTTP authorization
## in CGI environment

    RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]

############################################
## TRACE and TRACK HTTP methods disabled to prevent XSS attacks

    RewriteCond %{REQUEST_METHOD} ^TRAC[EK]
    RewriteRule .* - [L,R=405]

############################################
## Never rewrite for existing files, directories and links

    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_FILENAME} !-l

############################################
## Rewrite everything else to index.php

    RewriteRule .* index.php [L]

</IfModule>


############################################
## Prevent character encoding issues from server overrides
## If you still have problems, use the second line instead

    AddDefaultCharset Off
    #AddDefaultCharset UTF-8

<IfModule mod_expires.c>

############################################
## Add default Expires header
## http://developer.yahoo.com/performance/rules.html#expires

    ExpiresDefault "access plus 1 year"
    ExpiresByType text/html A0
    ExpiresByType text/plain A0

</IfModule>

###########################################
## Deny access to release notes to prevent disclosure of the installed Magento version

    <Files RELEASE_NOTES.txt>
        <IfVersion < 2.4>
            order allow,deny
            deny from all
        </IfVersion>
        <IfVersion >= 2.4>
            Require all denied
        </IfVersion>
    </Files>

# For 404s and 403s that aren't handled by the application, show plain 404 response
ErrorDocument 404 /errors/404.php
ErrorDocument 403 /errors/404.php

############################################
## If running in cluster environment, uncomment this
## http://developer.yahoo.com/performance/rules.html#etags

    #FileETag none

###########################################
## Deny access  to cron.php
    <Files cron.php>
        <IfVersion < 2.4>
            order allow,deny
            deny from all
        </IfVersion>
        <IfVersion >= 2.4>
            Require all denied
        </IfVersion>
    </Files>
## Deny access  to .user.ini
    <Files .user.ini>
        <IfVersion < 2.4>
            order allow,deny
            deny from all
        </IfVersion>
        <IfVersion >= 2.4>
            Require all denied
        </IfVersion>
    </Files>

<IfModule mod_headers.c>
    ############################################
    ## Prevent clickjacking
    Header set X-Frame-Options SAMEORIGIN
</IfModule>
  • I do it every time and the result is unchanged – David Young Sep 30 at 12:53
  • check that .htaccess is present in your pub folder? – ASQ Sep 30 at 13:02
  • Yes, it is in the folder in /pub and /pub/static/ – David Young Sep 30 at 13:07
  • I changed .htaccess in /pub, but the error is not resolved – David Young Sep 30 at 13:23
-1

Try this

php bin/magento setup:static-content:deploy -f
  • 1
    I used this command does not help – David Young Sep 30 at 12:54
  • is this command giving any error? – Waqar Ali Sep 30 at 13:06
  • 1
    Yes, I added the error text to the question – David Young Sep 30 at 13:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.